:root {
	--clr-bg: #CECECE;
	--clr-light: whitesmoke;
	--border: 1px solid black;
	--sm-space: 0.25rem;
	--md-space: 1rem;
	--lg-space: 1.5rem;
	--shadow: 0px 0px 8px 0px rgba(0,0,0,0.75);
}
* {
	box-sizing: border-box;
	padding: 0;
	margin: 0;
}
body {
	background-color: var(--clr-bg);
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: auto 1fr auto;
	height: 100vh;
}
header {
	border: var(--border);
	text-align: center;
	background-color:var(--clr-light);
	padding: var(--sm-space);
	box-shadow: var(--shadow);
}

h1 {
	padding: var(--md-space);
}
nav {
	display: flex;
	flex-wrap: wrap;
	gap: var(--md-space);
}

section {
	overflow-y: auto;
}
.nav-item {
	flex-grow: 1;
	text-align:center;
	border: var(--border);
	padding: var(--sm-space);
	border-radius: var(--sm-space);
}

.nav-item.current-nav, .navItem span:hover{
	background-color:black;
	color:var(--clr-light);
	font-weight: bold;
}
.db-article{
	box-shadow: var(--shadow);
	background-color: var(--clr-light);
	padding: var(--lg-space);
	margin: var(--lg-space)
}
.db-article img{
	float: right;
	margin: 0 0 var(--md-space) var(--md-space);
	width: 256px;
	max-width: 50%;
}

.hideme {
	display: none;
}

footer {
	text-align: center;
	background-color: var(--clr-light);
	box-shadow: var(--shadow);
	padding: var(--md-space);
}

.author {
	font-style: italic;
}